%define ver_major 0
%def_disable mono
 
Name: libbtctl
Version: %ver_major.8.2
Release: alt1

Summary: GNOME bluetooth control library
License: GPL
Group: System/Libraries
Url: http://usefulinc.com/software/gnome-bluetooth
Source: %url/releases/%name-%version.tar.bz2

BuildRequires: docbook-dtds docbook-style-xsl fontconfig-devel freetype2-devel
BuildRequires: gcc-c++ glib2-devel gtk-doc libatk-devel 
BuildRequires: libbluez-devel >= 2.19 
BuildRequires: libcairo-devel libg2c-devel libglitz-devel libgpg-error 
BuildRequires: libgtk+2-devel 
BuildRequires: libopenobex-devel libpango-devel libpng-devel 
BuildRequires: libstdc++-devel   
BuildRequires: perl-XML-Parser pkg-config python-base python-dev 
BuildRequires: python-module-pygtk-devel python-modules-compiler 
BuildRequires: python-modules-encodings xml-common xorg-x11-devel xsltproc

%if_enabled mono
BuildRequires: /proc 
BuildRequires: libgtk-sharp-devel libgtk-sharp-gapi mono-devel 
%endif

%description
The GNOME Bluetooth Subsystem control library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides development files and libraries for %name

%if_enabled mono
%package mono
Summary: C# files for %name
Group: Development/Other
Requires: %name = %version-%release

%description mono
This package provides mono files and libraries for %name
%endif

%prep
%setup -q

%build
%configure --enable-shared \
		--disable-static

# SMP-incompatible build
%make pydir=%_libdir/python%__python_version/site-packages

%install
%make_install DESTDIR=%buildroot pydir=%_libdir/python%__python_version/site-packages install

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%_libdir/python%__python_version/site-packages/btctl.*
%doc AUTHORS ChangeLog README NEWS TODO

%files devel
#%_bindir/btlist
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%if_enabled mono

%files mono
%_libdir/mono/%name/*
%_libdir/mono/gac/*
%_datadir/gapi/btctl-api.xml

%endif
%changelog
* Wed Feb 21 2007 Igor Zubkov <icesik@altlinux.org> 0.8.2-alt1
- 0.8.1 -> 0.8.2

* Mon Dec 11 2006 Igor Zubkov <icesik@altlinux.org> 0.8.1-alt2
- fix build for x86_64 (thanks to damir@)

* Wed Oct 25 2006 Igor Zubkov <icesik@altlinux.org> 0.8.1-alt1
- 0.8.0 -> 0.8.1

* Wed Oct 25 2006 Igor Zubkov <icesik@altlinux.org> 0.8.0-alt1.1
- import to gear 

* Wed Oct 25 2006 Igor Zubkov <icesik@altlinux.org> 0.8.0-alt1
- 0.6.0 -> 0.8.0

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.0-alt1.1
- Rebuilt for new pkg-config dependencies.

* Tue Nov 22 2005 Vital Khilko <vk@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Nov 15 2005 Vital Khilko <vk@altlinux.ru> 0.5.0-alt0.1
- 0.5.0
- added mono subpackage

* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt0.2
- do not package .la files.

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt0.1
- First build for Sisyphus.

